# Method: sellers.adPlays.create

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/create#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/create#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/create#examples)

Creates an ad play.

- Input could be either a set of resource names or a set of external ids.
- Returns the newly created ad play if successful.
- Returns error code `INVALID_ARGUMENT` if invalid ad unit, order, line, or creative are specified. For example, ad unit resource name is not in format `sellers/111/adUnits/123`.
- Returns error code `ALREADY_EXISTS` if an ad play for the same ad unit, order, line, and creative with the same startTime already exists.
- Returns error code `NOT_FOUND` if no matching ad unit, order, line, or creative asset found.
- Returns error code `FAILED_PRECONDITION` if the request contains both resource name and external id.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*}/adPlays`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The seller resource name. Format: sellers/{seller} |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays#AdPlay`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays#AdPlay`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).